Subject: Re: bug#25960: minor gotcha in tutorial

From: liam <[email-masked]>
Date: Sat, 04 Mar 2017 09:53:50 +0000

> Date: Sat, 04 Mar 2017 07:46:05 +0000

> From: liam <[email-masked]>

> Cc: [email-masked]

> > But the pending is gone, right? AFAIK, that's how it's supposed

> > to work.

> I don't think it's the same. Try C-u follow by C-g. You'll see 'Quit' in the status and no alert noise. There are

> plenty of undefined key sequences and keying them doesn't mean the sequence was cancelled. Anyway, it's

> so minor it really doesn't matter but as it's in the tutorial I thought I'd mention it.

I guess you get "C-M-g is undefined" if you type C-g quickly enough

after ESC.  If you wait for a few seconds, until "ESC-" appears in the

echo area, before you type C-g, you should get just "Quit", as in

other cases.  Do you see this on your system?

If the above describes what happens on your system, then Noam is

right: that's how this is supposed to work.  Emacs allows you to use

ESC as a prefix that converts the next key into its Meta variant, so

C-g is converted into C-M-g.  But it still gets rid of the ESC that

you typed by mistake.

And yes, if you type an undefined sequence, it _is_ canceled when

Emacs says its undefined.

Thanks.

---------------------

Hi,

This behaviour is the same regardless of how long I wait after pressing esc.  I didn't mean it wasn't cancelled (I know I said that!),  I meant there is a difference between "user cancelled" and "unrecognised sequence". I was expecting the former from the way the tutorial was worded.

Thanks,